%define ALD_Ver		2.0
%define auto_local %{_sourcedir}/AUTO_LOCAL-1.sh
%define have_auto_local %(if test -x %{auto_local} ; then echo 1 ; else echo 0 ; fi)

Name:         publicsuffix-list

License:      MPLv2.0
Summary:      Cross-vendor public domain suffix database
Version:      20210128
Release:      0
URL:          https://publicsuffix.org/
Source: %{name}-%{version}.tar.xz

#https://github.com/publicsuffix/list

BuildArchitectures: noarch

%define DestDir		/net

%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}

# ------------------- description ------------------------------------
%description
Cross-vendor public domain suffix database
#-------------------------------
%package dafsa
Summary:      Demo for %{name}
%description dafsa
Demo for %{name}

# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{name}-%{version}

# ------------------- Build ------------------------------------------
%Build

# ------------------- Install ----------------------------------------
%Install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/publicsuffix
mkdir -p %{_srcrpmdir}

cp -a LICENSE public_suffix_list.dat test_psl.txt $RPM_BUILD_ROOT%{_datadir}/publicsuffix/
ln -s public_suffix_list.dat $RPM_BUILD_ROOT/%{_datadir}/publicsuffix/effective_tld_names.dat

# ------------------- Clean ------------------------------------------
%Clean

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-ALD_Ver=%{ALD_Ver} -RpmMovePath=%{DestDir} -tar_arg=bzip2
%endif  # have_auto_local

# ------------------- Files ------------------------------------------
%files
%dir %{_datadir}/publicsuffix
%{_datadir}/publicsuffix/LICENSE
%{_datadir}/publicsuffix/effective_tld_names.dat
%{_datadir}/publicsuffix/public_suffix_list.dat
%{_datadir}/publicsuffix/test_psl.txt
